
local filepath = "Interface\\Addons\\HzFontPack1\\fonts\\"

local fonts = {
	["7days"]							= "7days.ttf",
	["Agency FB"]					= "Agency_FB.ttf",
	["Alcohole"]					= "Alcohole.ttf",
	["Antartic"]					= "ANTARG__.TTF",
	["Architext"]					= "architxt.ttf",
	["AtomicSushi"]				= "AtomicSushi.ttf",
	["Avocado"]						= "avocado_.ttf",
	["BTSE + PS2"]				= "btseps2.TTF",
	["Brush Script MT"]		= "BRUSHSCI.TTF",
	["Californian"]				= "CALIFR.TTF",
	["Chiller"]						= "CHILLER.TTF",
	["Comic Script Shaded"]	= "SF Comic Script Shaded.ttf",
	["Comic Script"]				= "SF Comic Script.ttf",
	["CreepyGirl"]					= "CREERG__.TTF",
	["Dali"]								= "dali____.ttf",
	["Dark Horse"]					= "Darkh4.ttf",
	["DragonFly"]						= "dragonfly.ttf",
	["Dreamerone"]					= "dfdrone.ttf",
	["Facelift"]						= "facerg__.ttf",
	["Fette Fraktur"]				= "ff______.ttf",
	["Gizmo"]								= "gizmo___.ttf",
	["Gushing meadow"]			= "sf gushing meadow.ttf",
	["Headhunter regular"]	= "he______.ttf",
	["Japan"]								= "japan.ttf",
	["Klingondagger"]				= "klingondagger.ttf",
	["Liquidcrystal"]				= "liquidn.ttf",
	["Loki cola"]						= "lokicola.ttf",
	["Lucida Console"]			= "lucon.ttf",
	["Lucida Sans"]					= "lsans.ttf",
	["Neurochrome"]					= "neurochr.ttf",
	["New brilliant"]				= "newbrill.ttf",
	["Old english text"]		= "oldengl.ttf",
	["Telegraphic"]					= "sf telegraphic.ttf",
	["Typographerfraktur"]	= "typographerfraktur-medium.ttf",
	["Visitor1"]						= "visitor1.ttf",
	["Visitor2"]						= "visitor2.ttf",
}

-- LibSharedMedia support and font registration

local SML = LibStub("LibSharedMedia-3.0")
local SML_LANG_MASK_ALL = 255

local function RegisterFont(fontName, fontPath)
	if (type(fontName) ~= "string" or type(fontPath) ~= "string") then return end
	if (fontName == "" or fontPath == "") then return end
	SML:Register("font", fontName, fontPath, SML_LANG_MASK_ALL)
end

for fontName, fontPath in pairs(fonts) do
	RegisterFont(fontName, filepath..fontPath)
end
